Bug 253295 - Add methods for retrieval of implemented and extended types into JPDA debugger API
Add methods for retrieval of implemented and extended types into JPDA debugge...
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.1
All All
: P3 (vote)
: 8.1
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 249449
  Show dependency treegraph
 
Reported: 2015-07-03 06:39 UTC by Martin Entlicher
Modified: 2015-07-17 01:19 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API change (3.60 KB, patch)
2015-07-03 06:50 UTC, Martin Entlicher
Details | Diff
The API implementation (7.77 KB, patch)
2015-07-03 06:50 UTC, Martin Entlicher
Details | Diff
The proposed API change (4.73 KB, patch)
2015-07-03 16:44 UTC, Martin Entlicher
Details | Diff
Full test of JPDAClassType class (20.14 KB, patch)
2015-07-03 16:45 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2015-07-03 06:39:00 UTC
In order to fix issue #249449, we need to get a list of all implemented interfaces for a class. The current JPDAClassType does not have methods to get that information from. A method like getAllInterfaces() is necessary.
Also the implementation class already getSubClasses() and isInstanceOf() methods, that are accessed via reflection. These should be added to public APIs as well.
Comment 1 Martin Entlicher 2015-07-03 06:50:04 UTC
Created attachment 154471 [details]
The proposed API change
Comment 2 Martin Entlicher 2015-07-03 06:50:28 UTC
Created attachment 154472 [details]
The API implementation
Comment 3 Martin Entlicher 2015-07-03 06:51:37 UTC
Please review this simple API enhancement.
Comment 4 Martin Entlicher 2015-07-03 16:44:19 UTC
Created attachment 154477 [details]
The proposed API change

I've added a new patch with only added getReflectedType() method to ClassVariable class. The implementation remains the same.
Comment 5 Martin Entlicher 2015-07-03 16:45:31 UTC
Created attachment 154478 [details]
Full test of JPDAClassType class

A full test of the JPDAClassType API, which tests the ClassVariable.getReflectedType() as well.
Comment 6 Martin Entlicher 2015-07-09 08:47:42 UTC
If there are no objections, I'll integrate this tomorrow.
Comment 7 Martin Entlicher 2015-07-10 12:51:27 UTC
Pushed as changeset:   289592:b58a6864e273
http://hg.netbeans.org/core-main/rev/b58a6864e273
Comment 8 Quality Engineering 2015-07-17 01:19:46 UTC
Integrated into 'main-silver', will be available in build *201507170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b58a6864e273
User: mentlicher@netbeans.org
Log: #253295: API for retrieving of implemented and extended types.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo